# Uses of Interface
javax.swing.BoundedRangeModel

Packages that use BoundedRangeModel
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of BoundedRangeModel in javax.swing

Classes in javax.swing that implement BoundedRangeModel
Modifier and Type
Class
Description
`class`
`DefaultBoundedRangeModel`
A generic implementation of BoundedRangeModel.
Fields in javax.swing declared as BoundedRangeModel
Modifier and Type
Field
Description
`protected BoundedRangeModel`
JProgressBar.`model`
The object that holds the data for the progress bar.
`protected BoundedRangeModel`
JScrollBar.`model`
The model that represents the scrollbar's minimum, maximum, extent (aka "visibleAmount") and current value.
`protected BoundedRangeModel`
JSlider.`sliderModel`
The data model that handles the numeric maximum value, minimum value, and current-position value for the slider.
Methods in javax.swing that return BoundedRangeModel
Modifier and Type
Method
Description
`BoundedRangeModel`
JTextField.`getHorizontalVisibility()`
Gets the visibility of the text field.
`BoundedRangeModel`
JProgressBar.`getModel()`
Returns the data model used by this progress bar.
`BoundedRangeModel`
JScrollBar.`getModel()`
Returns data model that handles the scrollbar's four fundamental properties: minimum, maximum, value, extent.
`BoundedRangeModel`
JSlider.`getModel()`
Returns the `BoundedRangeModel` that handles the slider's three fundamental properties: minimum, maximum, value.
Methods in javax.swing with parameters of type BoundedRangeModel
Modifier and Type
Method
Description
`void`
JProgressBar.`setModel​(BoundedRangeModel newModel)`
Sets the data model used by the `JProgressBar`.
`void`
JScrollBar.`setModel​(BoundedRangeModel newModel)`
Sets the model that handles the scrollbar's four fundamental properties: minimum, maximum, value, extent.
`void`
JSlider.`setModel​(BoundedRangeModel newModel)`
Sets the `BoundedRangeModel` that handles the slider's three fundamental properties: minimum, maximum, value.
Constructors in javax.swing with parameters of type BoundedRangeModel
Modifier
Constructor
Description
``
`JProgressBar​(BoundedRangeModel newModel)`
Creates a horizontal progress bar that uses the specified model to hold the progress bar's data.
``
`JSlider​(BoundedRangeModel brm)`
Creates a horizontal slider using the specified BoundedRangeModel.